Arch Linux

iwlagn - Wireless network disconnects and won't reconnect without reboot

Reported by kdawgud on 2009-04-22
104
This bug affects 16 people
Affects Status Importance Assigned to Milestone
wicd
Undecided
Unassigned
Declined for 1.7 by Adam Blackburn
linux (Arch Linux)
Confirmed
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by superlex
Nominated for Lucid by superlex
linux (openSUSE)
Confirmed
Undecided
Unassigned

Bug Description

Binary package hint: network-manager

The wireless connection seems to disconnect about once a day. After this occurs, it won't reconnect to any wireless networks until I reboot. I have been running Jaunty since Alpha 6, but the problem only happened last week (during the release candidate).

Here is the output of events from the syslog. It looks like the wireless network disconnected and tried to reconnect on its own while nobody was using the laptop. I will attach lspci below.

The log starts out with these events:

Apr 22 08:01:52 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00011043
Apr 22 08:01:52 kleber vmnetBridge: Can't add interface wlan0 4 (does exist).
Apr 22 08:03:51 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00011043
Apr 22 08:03:51 kleber vmnetBridge: Can't add interface wlan0 4 (does exist).

Seems like the wifi is still working fine while these messages are generated (since they're still being generated now).

Then at 10:30am, I get this event:

Apr 22 10:29:58 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001043
Apr 22 10:29:58 kleber vmnetBridge: Can't add interface wlan0 4 (does exist).
Apr 22 10:29:58 kleber kernel: [59984.496067] wlan0: No ProbeResp from current AP 00:15:e9:15:41:10 - assume out of range
Apr 22 10:29:58 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:29:58 kleber vmnetBridge: Stopped bridge wlan0 to virtual network 2.
Apr 22 10:29:58 kleber NetworkManager: <info> (wlan0): supplicant connection state: completed -> disconnected
Apr 22 10:29:58 kleber kernel: [59984.497810] bridge-wlan0: disabling the bridge
Apr 22 10:29:58 kleber kernel: [59984.501223] bridge-wlan0: down
Apr 22 10:29:58 kleber kernel: [59984.501344] bridge-wlan0: detached
Apr 22 10:29:58 kleber NetworkManager: <info> (wlan0): supplicant connection state: disconnected -> scanning
Apr 22 10:29:58 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:29:58 kleber vmnetBridge: Can't remove interface wlan0 4 (does not exist).
Apr 22 10:29:58 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:29:58 kleber vmnetBridge: Can't remove interface wlan0 4 (does not exist).
Apr 22 10:29:58 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:29:58 kleber vmnetBridge: Can't remove interface wlan0 4 (does not exist).
Apr 22 10:29:58 kleber kernel: [59985.096063] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
Apr 22 10:29:58 kleber NetworkManager: <info> (wlan0): supplicant connection state: scanning -> associating
Apr 22 10:29:59 kleber kernel: [59985.597102] iwlagn: Error sending REPLY_RXON: time out after 500ms.
Apr 22 10:29:59 kleber kernel: [59985.597109] iwlagn: Error setting new RXON (-110)
Apr 22 10:29:59 kleber kernel: [59985.597120] wlan0: authenticate with AP 00:15:e9:15:41:10
Apr 22 10:29:59 kleber kernel: [59985.797058] wlan0: authenticate with AP 00:15:e9:15:41:10
Apr 22 10:29:59 kleber kernel: [59985.997043] wlan0: authenticate with AP 00:15:e9:15:41:10
Apr 22 10:29:59 kleber kernel: [59986.197056] wlan0: authentication with AP 00:15:e9:15:41:10 timed out
Apr 22 10:30:01 kleber NetworkManager: <debug> [1240410601.003290] periodic_update(): Roamed from BSSID 00:15:E9:15:41:10 (kdawgud) to (none) ((none))
Apr 22 10:30:08 kleber NetworkManager: <info> (wlan0): supplicant connection state: associating -> disconnected
Apr 22 10:30:08 kleber NetworkManager: <info> (wlan0): supplicant connection state: disconnected -> scanning
Apr 22 10:30:09 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:30:09 kleber vmnetBridge: Can't remove interface wlan0 4 (does not exist).
Apr 22 10:30:09 kleber kernel: [59995.600111] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
Apr 22 10:30:09 kleber kernel: [59996.100062] iwlagn: Error sending REPLY_RXON: time out after 500ms.
Apr 22 10:30:09 kleber kernel: [59996.100068] iwlagn: Error setting new RXON (-110)
Apr 22 10:30:13 kleber NetworkManager: <info> (wlan0): device state change: 8 -> 3
Apr 22 10:30:13 kleber NetworkManager: <info> (wlan0): deactivating device (reason: 11).
Apr 22 10:30:13 kleber NetworkManager: <info> wlan0: canceled DHCP transaction, dhcp client pid 3892
Apr 22 10:30:13 kleber NetworkManager: <WARN> check_one_route(): (wlan0) error -34 returned from rtnl_route_del(): Sucess
Apr 22 10:30:13 kleber avahi-daemon[3148]: Withdrawing address record for 192.168.2.101 on wlan0.
Apr 22 10:30:13 kleber avahi-daemon[3148]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.2.101.
Apr 22 10:30:13 kleber avahi-daemon[3148]: Interface wlan0.IPv4 no longer relevant for mDNS.
Apr 22 10:30:13 kleber NetworkManager: <info> Activation (wlan0) starting connection 'Auto kdawgud'
Apr 22 10:30:13 kleber NetworkManager: <info> (wlan0): device state change: 3 -> 4
Apr 22 10:30:13 kleber NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr 22 10:30:13 kleber NetworkManager: <info> (wlan0): supplicant connection state: scanning -> disconnected
Apr 22 10:30:13 kleber NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Apr 22 10:30:13 kleber NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr 22 10:30:13 kleber NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Apr 22 10:30:13 kleber NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Apr 22 10:30:13 kleber NetworkManager: <info> (wlan0): device state change: 4 -> 5
Apr 22 10:30:13 kleber NetworkManager: <info> Activation (wlan0/wireless): connection 'Auto kdawgud' has security, and secrets exist. No new secrets needed.
Apr 22 10:30:13 kleber kernel: [60000.177047] iwlagn: Error sending REPLY_RXON: time out after 500ms.
Apr 22 10:30:13 kleber kernel: [60000.177053] iwlagn: Error setting new RXON (-110)
Apr 22 10:30:13 kleber NetworkManager: <info> Config: added 'ssid' value 'kdawgud'
Apr 22 10:30:13 kleber NetworkManager: <info> Config: added 'scan_ssid' value '1'
Apr 22 10:30:13 kleber NetworkManager: <info> Config: added 'key_mgmt' value 'NONE'
Apr 22 10:30:13 kleber NetworkManager: <info> Config: added 'auth_alg' value 'OPEN'
Apr 22 10:30:13 kleber NetworkManager: <info> Config: added 'wep_key0' value '<omitted>'
Apr 22 10:30:13 kleber NetworkManager: <info> Config: added 'wep_tx_keyidx' value '0'
Apr 22 10:30:13 kleber NetworkManager: nm_setting_802_1x_get_pkcs11_engine_path: assertion `NM_IS_SETTING_802_1X (setting)' failed
Apr 22 10:30:13 kleber NetworkManager: nm_setting_802_1x_get_pkcs11_module_path: assertion `NM_IS_SETTING_802_1X (setting)' failed
Apr 22 10:30:13 kleber NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Apr 22 10:30:13 kleber NetworkManager: <info> Config: set interface ap_scan to 1
Apr 22 10:30:14 kleber NetworkManager: <info> (wlan0): supplicant connection state: disconnected -> scanning
Apr 22 10:30:14 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:30:14 kleber vmnetBridge: Can't remove interface wlan0 4 (does not exist).
Apr 22 10:30:14 kleber kernel: [60000.684052] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
Apr 22 10:30:14 kleber kernel: [60001.184063] iwlagn: Error sending REPLY_RXON: time out after 500ms.
Apr 22 10:30:14 kleber kernel: [60001.184070] iwlagn: Error setting new RXON (-110)
Apr 22 10:30:15 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:30:15 kleber vmnetBridge: Can't remove interface wlan0 4 (does not exist).
Apr 22 10:30:15 kleber kernel: [60001.685059] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
Apr 22 10:30:15 kleber kernel: [60002.185060] iwlagn: Error sending REPLY_RXON: time out after 500ms.
Apr 22 10:30:15 kleber kernel: [60002.185067] iwlagn: Error setting new RXON (-110)
Apr 22 10:30:19 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:30:19 kleber vmnetBridge: Can't remove interface wlan0 4 (does not exist).
Apr 22 10:30:19 kleber kernel: [60006.184066] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
Apr 22 10:30:20 kleber kernel: [60006.684066] iwlagn: Error sending REPLY_RXON: time out after 500ms.
Apr 22 10:30:20 kleber kernel: [60006.684072] iwlagn: Error setting new RXON (-110)
Apr 22 10:30:25 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:30:25 kleber vmnetBridge: Can't remove interface wlan0 4 (does not exist).
Apr 22 10:30:25 kleber kernel: [60011.684065] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
Apr 22 10:30:25 kleber kernel: [60012.184061] iwlagn: Error sending REPLY_RXON: time out after 500ms.
Apr 22 10:30:25 kleber kernel: [60012.184067] iwlagn: Error setting new RXON (-110)
Apr 22 10:30:30 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:30:30 kleber vmnetBridge: Can't remove interface wlan0 4 (does not exist).
Apr 22 10:30:30 kleber kernel: [60017.184062] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
Apr 22 10:30:31 kleber kernel: [60017.684067] iwlagn: Error sending REPLY_RXON: time out after 500ms.
Apr 22 10:30:31 kleber kernel: [60017.684074] iwlagn: Error setting new RXON (-110)
Apr 22 10:30:31 kleber kernel: [60017.684084] iwlagn: No space for Tx
Apr 22 10:30:31 kleber kernel: [60017.684087] iwlagn: Error sending REPLY_TX_POWER_DBM_CMD: enqueue_hcmd failed: -28
Apr 22 10:30:36 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:30:36 kleber vmnetBridge: Can't remove interface wlan0 4 (does not exist).
Apr 22 10:30:36 kleber kernel: [60022.684053] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
Apr 22 10:30:36 kleber kernel: [60022.684075] iwlagn: No space for Tx
Apr 22 10:30:36 kleber kernel: [60022.684078] iwlagn: Error sending REPLY_RXON: enqueue_hcmd failed: -28
Apr 22 10:30:36 kleber kernel: [60022.684081] iwlagn: Error setting new RXON (-28)
Apr 22 10:30:36 kleber kernel: [60022.684088] iwlagn: No space for Tx
Apr 22 10:30:36 kleber kernel: [60022.684091] iwlagn: Error sending REPLY_TX_POWER_DBM_CMD: enqueue_hcmd failed: -28
Apr 22 10:30:41 kleber vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00001003
Apr 22 10:30:41 kleber vmnetBridge: Can't remove interface wlan0 4 (does not exist).
Apr 22 10:30:41 kleber kernel: [60027.685604] iwlagn: No space for Tx
Apr 22 10:30:41 kleber kernel: [60027.685612] iwlagn: Error sending REPLY_SCAN_CMD: enqueue_hcmd failed: -28
Apr 22 10:30:41 kleber kernel: [60027.685626] iwlagn: No space for Tx
Apr 22 10:30:41 kleber kernel: [60027.685629] iwlagn: Error sending REPLY_RXON: enqueue_hcmd failed: -28
Apr 22 10:30:41 kleber kernel: [60027.685632] iwlagn: Error setting new RXON (-28)
Apr 22 10:30:41 kleber kernel: [60027.685637] iwlagn: No space for Tx
Apr 22 10:30:41 kleber kernel: [60027.685640] iwlagn: Error sending REPLY_TX_POWER_DBM_CMD: enqueue_hcmd failed: -28

The "No space for Tx" messages keeps getting reported until I rebooted.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
Package: network-manager 0.7.1~rc4.1.cf199a964-0ubuntu2
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: network-manager
Uname: Linux 2.6.28-11-generic i686

kdawgud (kleber) wrote :
kdawgud (kleber) wrote :
Alexander Sack (asac) wrote :

this is a driver bug. moving to linux package. you could install the linux-backport-modules-jaunty package and see if your problem goes away.

summary: - Wireless network disconnects and won't reconnect without reboot
+ iwlagn - Wireless network disconnects and won't reconnect without reboot
affects: network-manager (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
Martin Emrich (emme) wrote :

I also experience this, and reloading the wireless modules helps usually:

-----
#!/bin/sh

sudo rmmod iwlagn
sudo rmmod iwlcore
sudo rmmod mac80211
sudo rmmod cfg80211

sleep 2

sudo modprobe iwlagn
-----

I just installed the backport modules, and will see if they help with this bug as well as my regular network freezes.

Ciao

Martin

Martin Emrich (emme) wrote :
Download full text (4.6 KiB)

With the backport modules, it was even worse, one minute after connecting, the connection stopped working. My syslog is full of these message:

Apr 23 19:16:29 gwaihir kernel: [ 437.202564] wlan0: authenticated
Apr 23 19:16:29 gwaihir kernel: [ 437.202566] wlan0: associate with AP ffff88006ce09ac0
Apr 23 19:16:29 gwaihir NetworkManager: <info> (wlan0): supplicant connection state: scanning -> associated
Apr 23 19:16:29 gwaihir kernel: [ 437.205916] wlan0: RX ReassocResp from ffff8800511e8016 (capab=0x431 status=0 aid=1)
Apr 23 19:16:29 gwaihir kernel: [ 437.205919] wlan0: associated
Apr 23 19:16:32 gwaihir NetworkManager: <info> (wlan0): supplicant connection state: associated -> disconnected
Apr 23 19:16:32 gwaihir kernel: [ 440.198034] wlan0: deauthenticated (Reason: 2)
Apr 23 19:16:32 gwaihir NetworkManager: <info> (wlan0): supplicant connection state: disconnected -> scanning
Apr 23 19:16:33 gwaihir kernel: [ 441.196055] wlan0: direct probe to AP ffff88006ce09ac0 try 1
Apr 23 19:16:33 gwaihir kernel: [ 441.396104] wlan0: direct probe to AP ffff88006ce09ac0 try 2
Apr 23 19:16:33 gwaihir kernel: [ 441.399905] wlan0 direct probe responded
Apr 23 19:16:33 gwaihir kernel: [ 441.399908] wlan0: authenticate with AP ffff88006ce09ac0
Apr 23 19:16:33 gwaihir kernel: [ 441.402689] wlan0: authenticated
Apr 23 19:16:33 gwaihir kernel: [ 441.402691] wlan0: associate with AP ffff88006ce09ac0
Apr 23 19:16:33 gwaihir kernel: [ 441.600109] wlan0: associate with AP ffff88006ce09ac0
Apr 23 19:16:33 gwaihir NetworkManager: <info> (wlan0): supplicant connection state: scanning -> associated
Apr 23 19:16:33 gwaihir kernel: [ 441.605087] wlan0: RX ReassocResp from ffff88004d8f0016 (capab=0x431 status=0 aid=1)
Apr 23 19:16:33 gwaihir kernel: [ 441.605091] wlan0: associated
Apr 23 19:16:36 gwaihir kernel: [ 444.595897] wlan0: deauthenticated (Reason: 2)
Apr 23 19:16:36 gwaihir NetworkManager: <info> (wlan0): supplicant connection state: associated -> disconnected
Apr 23 19:16:36 gwaihir NetworkManager: <info> (wlan0): supplicant connection state: disconnected -> scanning
Apr 23 19:16:37 gwaihir kernel: [ 445.592125] wlan0: direct probe to AP ffff88006ce09ac0 try 1
Apr 23 19:16:37 gwaihir kernel: [ 445.595913] wlan0 direct probe responded
Apr 23 19:16:37 gwaihir kernel: [ 445.595916] wlan0: authenticate with AP ffff88006ce09ac0
Apr 23 19:16:38 gwaihir kernel: [ 445.792127] wlan0: authenticate with AP ffff88006ce09ac0
Apr 23 19:16:38 gwaihir kernel: [ 445.794931] wlan0: authenticated
Apr 23 19:16:38 gwaihir kernel: [ 445.794933] wlan0: associate with AP ffff88006ce09ac0
Apr 23 19:16:38 gwaihir kernel: [ 445.799818] wlan0: RX ReassocResp from ffff88004d950016 (capab=0x431 status=0 aid=1)
Apr 23 19:16:38 gwaihir kernel: [ 445.799821] wlan0: associated
Apr 23 19:16:38 gwaihir NetworkManager: <info> (wlan0): supplicant connection state: scanning -> associated
Apr 23 19:16:39 gwaihir NetworkManager: <info> wlan0: link timed out.
Apr 23 19:16:41 gwaihir NetworkManager: <info> (wlan0): supplicant connection state: associated -> disconnected
Apr 23 19:16:41 gwaihir kernel: [ 448.794110] wlan0: deauthenticated (Reason: 2)
Apr...

Read more...

kdawgud (kleber) wrote :

The backports modules fixed it for me (or I should say it ran for 1 day without seeing the problem - which is more than it had been running).

I will update again in a few days if it still hasn't occurred.

svaens (svaens) wrote :
Download full text (9.2 KiB)

I also have this problem.

I am using the cs_orinoco module for my wireless card.

since we are pasting sys logs... mine maybe are interesting

May 4 21:58:25 svUbuntuX kernel: [ 2134.244451] eth1: Lucent/Agere firmware doesn't support manual roaming
May 4 21:58:25 svUbuntuX NetworkManager: <info> (eth1): supplicant connection state: associating -> associated
May 4 21:58:25 svUbuntuX NetworkManager: <info> (eth1): supplicant connection state: associated -> completed
May 4 21:58:25 svUbuntuX NetworkManager: <info> Activation (eth1/wireless) Stage 2 of 5 (Device Configure) successful. Connected to wireless network 'HoneyPie'.
May 4 21:58:25 svUbuntuX NetworkManager: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) scheduled.
May 4 21:58:25 svUbuntuX NetworkManager: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) started...
May 4 21:58:25 svUbuntuX NetworkManager: <info> (eth1): device state change: 5 -> 7
May 4 21:58:25 svUbuntuX NetworkManager: <info> Activation (eth1) Beginning DHCP transaction.
May 4 21:58:25 svUbuntuX dhclient: Internet Systems Consortium DHCP Client V3.1.1
May 4 21:58:25 svUbuntuX dhclient: Copyright 2004-2008 Internet Systems Consortium.
May 4 21:58:25 svUbuntuX dhclient: All rights reserved.
May 4 21:58:25 svUbuntuX dhclient: For info, please visit http://www.isc.org/sw/dhcp/
May 4 21:58:25 svUbuntuX dhclient:
May 4 21:58:25 svUbuntuX kernel: [ 2134.332390] eth1: New link status: Connected (0001)
May 4 21:58:25 svUbuntuX NetworkManager: <info> dhclient started with pid 5839
May 4 21:58:25 svUbuntuX NetworkManager: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) complete.
May 4 21:58:25 svUbuntuX NetworkManager: <info> DHCP: device eth1 state changed normal exit -> preinit
May 4 21:58:25 svUbuntuX dhclient: Listening on LPF/eth1/00:02:2d:81:93:eb
May 4 21:58:25 svUbuntuX dhclient: Sending on LPF/eth1/00:02:2d:81:93:eb
May 4 21:58:25 svUbuntuX dhclient: Sending on Socket/fallback
May 4 21:58:27 svUbuntuX dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 3
May 4 21:58:30 svUbuntuX dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 5
May 4 21:58:35 svUbuntuX dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 10
May 4 21:58:45 svUbuntuX dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 20
May 4 21:59:05 svUbuntuX dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 13
May 4 21:59:11 svUbuntuX NetworkManager: <info> Device 'eth1' DHCP transaction took too long (>45s), stopping it.
May 4 21:59:11 svUbuntuX NetworkManager: <info> eth1: canceled DHCP transaction, dhcp client pid 5839
May 4 21:59:11 svUbuntuX NetworkManager: <info> Activation (eth1) Stage 4 of 5 (IP Configure Timeout) scheduled...
May 4 21:59:11 svUbuntuX NetworkManager: <info> Activation (eth1) Stage 4 of 5 (IP Configure Timeout) started...
May 4 21:59:11 svUbuntuX NetworkManager: <info> Activation (eth1/wireless): could not get IP configuration for connection 'Auto HoneyPie'.
May 4 21:59:11 svUbuntuX NetworkManager: <info> (eth1): device state change: 7 -> 6
May 4 21:59:11 svUbun...

Read more...

Seeing someone with a fellow problem I felt I must share my findings seeing that I had the same issue, the result for me was to disable VM ware whenever I was not using it. I did this by
sudo /etc/init.d/vmware stop

This instantly reduced my wireless issues with (vmnetBridge) now I have to fix my vmware problem.

For the record I am using -
Ubuntu 9.04 (64bit) Jaunty Jackalope
Wireless card: IPW3945
VMware Workstation 6.5

jjcobm (jjcobm) wrote :

I also have this problem. My laptop is using an Intel Wifi Link 5100, it disconnects and I cannot reconnect without a reboot. Using Jaunty 32bit.

I don't have vmware installed, so it has obviously nothing to do with that.
Just happens in the blue. Or rather, when i have had lots of network
traffic. i.e. using bittorrent.

On Mon, May 11, 2009 at 12:24 AM, jjcobm <email address hidden> wrote:

> I also have this problem. My laptop is using an Intel Wifi Link 5100,
> it disconnects and I cannot reconnect without a reboot. Using Jaunty
> 32bit.
>
> --
> iwlagn - Wireless network disconnects and won't reconnect without reboot
> https://bugs.launchpad.net/bugs/365321
> You received this bug notification because you are a direct subscriber
> of the bug.
>

svaens (svaens) wrote :

This bug is currently marked as Incomplete.

As this 'is' a bug, and should be fixed (using backports sounds like a workaround, not a solution), I ask now;

How do i progress this bug, and move it from 'Incomplete' to 'new', and get someone to generally accept it (or even take notice of it) ???

hatsch (hatsch) wrote :

same problem here on jaunty with Intel Corporation 4965 AGN
network-manager disconnects after some time (lot's of traffic?) most of the time reconnecting works, but sometimes i need to modprobe the driver again....

isn't it just a problem with the firmware?

svaens (svaens) wrote :

There should be some comment on this bug from the people who would be able to fix it. Please.
I will provide any information they ask for. Please ask.
Seeing as there have been problems with several modules, i wonder if there isn't something else at fault here.

Changed in linux (Ubuntu):
status: Incomplete → New
svaens (svaens) wrote :

by the way, like i think i said before, i'm not using the same modules as the first person who created this bug. And i have similar problems.

sean@svUbuntuX:~$ cat /proc/modules |grep or
orinoco_cs 21004 1 - Live 0xf7dfa000
orinoco 61716 1 orinoco_cs, Live 0xf7e3b000
hermes_dld 15232 1 orinoco, Live 0xf7d21000
hermes 15360 3 orinoco_cs,orinoco,hermes_dld, Live 0xf7cd3000
pcmcia 44748 1 orinoco_cs, Live 0xf81fe000
iTCO_vendor_support 11652 1 iTCO_wdt, Live 0xf7dcf000
soundcore 15200 2 snd, Live 0xf7cee000
pcmcia_core 43540 4 orinoco_cs,pcmcia,yenta_socket,rsrc_nonstatic, Live 0xf7cb5000
parport_pc 40100 1 - Live 0xf7ce2000
parport 42220 3 lp,ppdev,parport_pc, Live 0xf7ca8000
softcursor 9984 1 bitblit, Live 0xf7c21000
sean@svUbuntuX:~$

I believe those above are taking care of my wireless card...

svaens (svaens) wrote :

and more:
sean@svUbuntuX:~$ iwconfig eth1
eth1 IEEE 802.11b ESSID:"HoneyPie" Nickname:"HERMES I"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:16:E3:6C:1C:7C
          Bit Rate:11 Mb/s Sensitivity:1/3
          Retry limit:4 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=51/92 Signal level=-48 dBm Noise level=-99 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:2141
          Tx excessive retries:9 Invalid misc:0 Missed beacon:0

svaens (svaens) wrote :

more behavioral information:

1. first i start the computer,
2. second, wireless connects
3. use internet, high data usage
4. random amount of time, wireless cuts out
5. attempt to re-connect causes authentication dialog to pop up.
6. re typing the key details results in behavior which seems from outward appearances the same as if i had typed in the wrong authentication key.

No amount of attempts allows me to reconnect. Only a reboot fixes it.

Keng-Yu Lin (lexical) wrote :

If you could also test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine this issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

If the issue remains with the upstream kernel, please be sure to also run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux-image-2.6.28-11-generic <bug #>

Thanks in advance.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: needs-kernel-logs needs-upstream-testing

Hello all,

I'm using Jaunty on Samsung NC10 and I installed linux-backport-modules-jaunty. Now I've been using Ubuntu for few days w/o major networking problems. WPA2 occassionally fails with some routers, but that's an another issue. I'd like to add that before installing backport modules I had to boot to Win XP in order to get the network adapter functional again. I don't know the actual reason for that, but it seems to be related in some power saving function because it usually occurred after an S3 sleep state. I don't know if the linux-backport-modules-jaunty resolved this issue for me, but it's surely looking good right now .

Mikko

superlex (e-lex) wrote :

This bug affects me too

[ 16.717103] iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, 1.3.27k
[ 16.717107] iwlagn: Copyright(c) 2003-2009 Intel Corporation
[ 16.717232] iwlagn 0000:06:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[ 16.717269] iwlagn 0000:06:00.0: setting latency timer to 64
[ 16.717329] iwlagn 0000:06:00.0: Detected Intel Wireless WiFi Link 4965AGN REV=0x4
[ 16.766543] iwlagn 0000:06:00.0: Tunable channels: 13 802.11bg, 19 802.11a channels
[ 16.766640] iwlagn 0000:06:00.0: irq 31 for MSI/MSI-X
[ 18.685869] iwlagn 0000:06:00.0: firmware: requesting iwlwifi-4965-2.ucode
[ 19.184360] iwlagn 0000:06:00.0: loaded firmware version 228.61.2.24
[ 196.540002] iwlagn 0000:06:00.0: iwl_tx_agg_start on ra = 00:0c:f6:4f:a4:12 tid = 0
[ 1448.199931] [<ffffffffa0cf21c8>] iwl_rx_handle+0x288/0x2f0 [iwlagn]
[ 1448.199936] [<ffffffffa0cf25b8>] iwl_irq_tasklet_legacy+0x1d8/0x4a0 [iwlagn]
[ 1448.205283] iwlagn 0000:06:00.0: Failed to allocate SKB buffer with GFP_ATOMIC. Only 0 free buffers remaining.
[ 1509.359207] [<ffffffffa0cf218a>] iwl_rx_handle+0x24a/0x2f0 [iwlagn]
[ 1509.359212] [<ffffffffa0cf25b8>] iwl_irq_tasklet_legacy+0x1d8/0x4a0 [iwlagn]
[ 1509.366361] iwlagn 0000:06:00.0: Failed to allocate SKB buffer with GFP_ATOMIC. Only 0 free buffers remaining.
[ 1509.366439] [<ffffffffa0cf21c8>] iwl_rx_handle+0x288/0x2f0 [iwlagn]
[ 1509.366444] [<ffffffffa0cf25b8>] iwl_irq_tasklet_legacy+0x1d8/0x4a0 [iwlagn]

Zaphod (vilppu777) wrote :

I am running Karmic with with Intel Corporation 4965 AGN and I Also get disconnected mostly wen downloading to or more torrents.

I have logs in this bug report I think it is related to this.

https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/374650

It's the same problem with ath5k and seem that happen with many others wireless cards. Isn't a Ubuntu problem, in Archlinux i have the problem too.

The problem is easily reproducible:
You connect to a network, then disconnect, and finally, try to connecting again. Wicd just say: "Unable to obtain IP Address"

There is a workaround (rough-and-ready) if you reload the kernel module of the wireless interface with rmmod (or modprobe -r, it's the same) and then modprobe. This is the reason because many of you have to reboot the computer, but just need reload the module.

In the bugtracker of Archlinux (http://bugs.archlinux.org/task/18011) they say that is a kernel problem, i don't know. But that i know is that other networks manager don't have this problem just with wicd.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Arch Linux):
status: New → Confirmed
Changed in wicd:
status: New → Confirmed
sahas (napster-it) wrote :
Download full text (5.3 KiB)

I experience the same problem with my Ubuntu install.
My system specs:
HP dv5t laptop with Intel 5100 network card
Ubuntu Karmic

Rebooting or reloading the network modules does the trick for me but it still is very irritating...
Curiously, hard stop and start of wireless radio receiver (via the touch button on top of the keyboard) does not work. When I swipe that button, instead of the light turning red (which should be the case), it starts to blink! Looking into that, which I will later, should help pinpoint the nature of the problem.

P.S. : I just reloaded my network modules in order to submit this :D

Here's the relevant snapshot from my ken.log file:

Feb 19 19:11:59 ssahasr-laptop kernel: [26523.928260] wlan0: no probe response from AP 00:24:56:69:45:d1 - disassociating
Feb 19 19:11:59 ssahasr-laptop kernel: [26524.532255] iwlagn 0000:02:00.0: Error sending REPLY_RXON: time out after 500ms.
Feb 19 19:11:59 ssahasr-laptop kernel: [26524.532267] iwlagn 0000:02:00.0: Error setting new RXON (-110)
Feb 19 19:12:00 ssahasr-laptop kernel: [26525.028571] iwlagn 0000:02:00.0: Error sending REPLY_SCAN_CMD: time out after 500ms.
Feb 19 19:12:00 ssahasr-laptop kernel: [26525.528605] iwlagn 0000:02:00.0: Error sending REPLY_RXON: time out after 500ms.
Feb 19 19:12:00 ssahasr-laptop kernel: [26525.528616] iwlagn 0000:02:00.0: Error setting new RXON (-110)
Feb 19 19:12:01 ssahasr-laptop kernel: [26526.028688] iwlagn 0000:02:00.0: Error sending REPLY_RXON: time out after 500ms.
Feb 19 19:12:01 ssahasr-laptop kernel: [26526.028699] iwlagn 0000:02:00.0: Error setting new RXON (-110)
Feb 19 19:12:05 ssahasr-laptop kernel: [26530.532099] iwlagn 0000:02:00.0: Error sending REPLY_RXON: time out after 500ms.
Feb 19 19:12:05 ssahasr-laptop kernel: [26530.532111] iwlagn 0000:02:00.0: Error setting new RXON (-110)
Feb 19 19:12:06 ssahasr-laptop kernel: [26531.028570] iwlagn 0000:02:00.0: Error sending REPLY_SCAN_CMD: time out after 500ms.
Feb 19 19:12:06 ssahasr-laptop kernel: [26531.528569] iwlagn 0000:02:00.0: Error sending REPLY_RXON: time out after 500ms.
Feb 19 19:12:06 ssahasr-laptop kernel: [26531.528580] iwlagn 0000:02:00.0: Error setting new RXON (-110)
Feb 19 19:12:07 ssahasr-laptop kernel: [26532.028649] iwlagn 0000:02:00.0: Error sending REPLY_RXON: time out after 500ms.
Feb 19 19:12:07 ssahasr-laptop kernel: [26532.028661] iwlagn 0000:02:00.0: Error setting new RXON (-110)
Feb 19 19:12:11 ssahasr-laptop kernel: [26536.532744] iwlagn 0000:02:00.0: Error sending REPLY_RXON: time out after 500ms.
Feb 19 19:12:11 ssahasr-laptop kernel: [26536.532755] iwlagn 0000:02:00.0: Error setting new RXON (-110)
Feb 19 19:12:12 ssahasr-laptop kernel: [26537.032841] iwlagn 0000:02:00.0: Error sending REPLY_SCAN_CMD: time out after 500ms.
Feb 19 19:12:12 ssahasr-laptop kernel: [26537.532607] iwlagn 0000:02:00.0: Error sending REPLY_RXON: time out after 500ms.
Feb 19 19:12:12 ssahasr-laptop kernel: [26537.532618] iwlagn 0000:02:00.0: Error setting new RXON (-110)
Feb 19 19:12:13 ssahasr-laptop kernel: [26538.032536] iwlagn 0000:02:00.0: Error sending REPLY_RXON: time out after 500ms.
Feb 19 19:12:13 ssahasr-laptop kernel: [26538.032547] iwlagn 0000:02:00.0: Error set...

Read more...

superlex (e-lex) wrote :

I'm using now ubuntu karmic with kernel-2.6.32-13, and problem persists. I also adds that the wireless disconnets when I am downloading many files.
Furthermore, sometimes it does not block, but PC freezes and the only solution is reset.

superlex (e-lex) wrote :
Download full text (39.3 KiB)

This is my dmesg

[ 30.809825] usb 7-1.2: input irq status -75 received
[ 30.825828] usb 7-1.2: input irq status -75 received
[ 30.841823] usb 7-1.2: input irq status -75 received
[ 30.858819] usb 7-1.2: input irq status -75 received
[ 30.874830] usb 7-1.2: input irq status -75 received
[ 30.890801] usb 7-1.2: input irq status -75 received
[ 30.898709] Bluetooth: RFCOMM TTY layer initialized
[ 30.898721] Bluetooth: RFCOMM socket layer initialized
[ 30.898727] Bluetooth: RFCOMM ver 1.11
[ 30.906836] usb 7-1.2: input irq status -75 received
[ 30.922806] usb 7-1.2: input irq status -75 received
[ 30.938827] usb 7-1.2: input irq status -75 received
[ 30.954809] usb 7-1.2: input irq status -75 received
[ 30.970828] usb 7-1.2: input irq status -75 received
[ 30.986810] usb 7-1.2: input irq status -75 received
[ 31.002843] usb 7-1.2: input irq status -75 received
[ 31.018823] usb 7-1.2: input irq status -75 received
[ 31.034817] usb 7-1.2: input irq status -75 received
[ 31.050826] usb 7-1.2: input irq status -75 received
[ 31.066826] usb 7-1.2: input irq status -75 received
[ 31.082806] usb 7-1.2: input irq status -75 received
[ 31.098803] usb 7-1.2: input irq status -75 received
[ 31.114807] usb 7-1.2: input irq status -75 received ...

Mattias Wadenstein (maswan) wrote :

Seems to be the same (or at least same symptoms) that I see on karmic amd64 running 2.6.31-17-generic with "Intel Corporation Wireless WiFi Link 5300" (thinkpad x200s). I can get it unstuck by flipping the wireless hw kill switch to turn wireless off and then on again after a few seconds.

When broken the lines:

[2409838.034227] iwlagn 0000:03:00.0: No space for Tx
[2409838.034241] iwlagn 0000:03:00.0: Error sending REPLY_RXON: enqueue_hcmd failed: -28
[2409838.034248] iwlagn 0000:03:00.0: Error setting new RXON (-28)

Keep repeating over and over again.

superlex (e-lex) wrote :

https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/463316

"
Hi!
Can you try this solution:

Add pci=use_crs at the end of the line

linux /boot/vmlinuz-2.6.31-19-generic root=UUID=8a7ca0ae-ec6e-4df9-9661-edccf300d223 ro quiet splash

in the file /boot/grub/grub.cfg and reboot.
"

superlex (e-lex) wrote :

I have now this bug with openSUSE 11.2 too. pci=usr-crs don't solve the problem. Any ideas?

Sometimes, wireless stops working e dmesg reports

iwlagn 0000:06:00.0: iwl_tx_agg_start on ra = 00:0c:f6:4f:a4:12 tid = 0

but after some time starts to run. On the contrary, other times it stops completely, dmesg reports

TCP: Peer 80.86.57.29:1755/37212 unexpectedly shrunk window 376679160:376679273 (repaired)
[24446.510056] No probe response from AP 00:1e:2a:24:6e:d2 after 500ms, disconnecting.
[24446.540911] bridge-wlan0: disabling the bridge
[24446.562591] bridge-wlan0: down
[24446.562600] bridge-wlan0: detached
[24447.170083] iwlagn 0000:06:00.0: Error sending REPLY_RXON: time out after 500ms.
[24447.170088] iwlagn 0000:06:00.0: Error setting new RXON (-110)
[24447.670079] iwlagn 0000:06:00.0: Error sending REPLY_SCAN_CMD: time out after 500ms.

etc...

and you must restart the system.

Please, consider to fix this bug.

I suspect this problem might have some relation to Bug #352228

Zaphod (vilppu777) wrote :

I would defiantly say it is related every one should comment and post on that bug since it actually has a Kernel person assigned to the bug. There are quiet a few bug reports for this core issue but that one is the first time I have seen someone assigned to it.

sahas (napster-it) wrote :

My problem is with Intel driver so I think the other bug is the one valid to me. If everyone agrees, then we should mark this as a duplicate of https://bugs.launchpad.net/bugs/352228

Zaphod (vilppu777) wrote :

I agree as I am using an intel driver too.

superlex (e-lex) wrote :

According to me, the bug is the same, too.

I have the Intel driver myself, and the problems appear to certainly be related.

superlex (e-lex) on 2010-04-21
Changed in linux (openSUSE):
status: New → Confirmed
Adam Blackburn (adamblackburn) wrote :

Setting this invalid in wicd as it seems to be a kernel issue rather than with wicd.

Changed in wicd:
status: Confirmed → Invalid
Brad Figg (brad-figg) on 2011-05-06
tags: added: b73a1py79

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers